## Class validator

zeep::xml::doctype::validator

## Synopsis

    // In header: <zeep/xml/doctype.hpp>

    class validator {
    public:
      // construct/copy/destruct
      validator(content_spec_base *);
      validator(const element_ *);
      validator(const validator &) = delete;
      validator & operator=(const validator &) = delete;
      ~validator();

      // public member functions
      bool allow(const std::string &);
      ContentSpecType get_content_spec() const;
      bool done();
    };

## Description

### `validator` public construct/copy/destruct

1.     validator(content_spec_base * allowed);

2.     validator(const element_ * e);

3.     validator(const validator & other) = delete;

4.     validator & operator=(const validator & other) = delete;

5.     ~validator();

### `validator` public member functions

1.     bool allow(const std::string & name);

2.     ContentSpecType get_content_spec() const;

3.     bool done();